<script>
    import { Table } from "view-design"
    import FunctionComponent from '../../../libs/utils/FunctionComponent'
    export default FunctionComponent(Table, 'ht-base-table', 'i', {
        preDispose(ctx, opts) {
            if (ctx.props.theme) {
                opts.class.push(`ht-base-table-theme-${ctx.props.theme}`)
            }
            if (ctx.props.noExpandPadding !== null && ctx.props.noExpandPadding !== undefined) {
                opts.class.push(`ht-base-table-theme-nopadding`)
            }
        }
    })
</script>
